package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;
import com.jasamedika.medifirst2000.entities.JenisHonor;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;


import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class PerhitunganHonorTimPegawai
 * 
 * @author Generator
 */
@Entity
@Table(name = "sdm_PerhitunganHonorTimPegawai_T")
public class PerhitunganHonorTimPegawai  extends BaseTransaction{
	@Column(name = "NomorHonor", nullable = false , length = 100)
	 @Caption(value = "NomorHonor")
	private String nomorHonor ;
	public String getNomorHonor() {
		return nomorHonor ;
	}
	public void setNomorHonor(String nomorHonor ) {
		this.nomorHonor  = nomorHonor ;
	}

	@Column(name = "TanggalProses", nullable = false , length = 100)
	 @Caption(value = "TanggalProses")
	private Date tanggalProses ;
	public Date getTanggalProses() {
		return tanggalProses ;
	}
	public void setTanggalProses(Date tanggalProses ) {
		this.tanggalProses  = tanggalProses ;
	}

@ManyToOne
	 @JoinColumn(name = "JenisHonorFk")
	 @NotNull(message = "Jenis Honor Harus Diisi")
	 @Caption(value = "Jenis Honor")
	private JenisHonor jenisHonor;
	public JenisHonor getJenisHonor() {
		return jenisHonor;
	}
	public void setJenisHonor(JenisHonor jenisHonor) {
		this.jenisHonor = jenisHonor;
	}
	@Column(name = "JenisHonorFk", insertable=false,updatable=false)
	private String jenisHonorId;

	@Column(name = "Keterangan", nullable = false , length = 100)
	 @Caption(value = "Keterangan")
	private String keterangan ;
	public String getKeterangan() {
		return keterangan ;
	}
	public void setKeterangan(String keterangan ) {
		this.keterangan  = keterangan ;
	}


}